org.jfree.base.modules

## Class PackageManager.PackageConfiguration

- java.lang.Object
- - org.jfree.base.config.HierarchicalConfiguration
  - - org.jfree.base.config.PropertyFileConfiguration
    - - org.jfree.base.modules.PackageManager.PackageConfiguration

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ModifiableConfiguration, Configuration, PublicCloneable
  Enclosing class:
    PackageManager

      public static class PackageManager.PackageConfiguration
      extends PropertyFileConfiguration

  The PackageConfiguration handles the module level configuration.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageConfiguration()` DefaultConstructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insertConfiguration(HierarchicalConfiguration config)` The new configuartion will be inserted into the list of report configuration, so that this configuration has the given report configuration instance as parent.

    - ### Methods inherited from class org.jfree.base.config.PropertyFileConfiguration

      `load, load, load`

    - ### Methods inherited from class org.jfree.base.config.HierarchicalConfiguration

      `clone, configurationLoaded, findPropertyKeys, getConfigProperties, getConfigProperty, getConfigProperty, getConfiguration, getParentConfig, isLocallyDefined, isParentSaved, setConfigProperty, setParentConfig`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageConfiguration

          public PackageConfiguration()

      DefaultConstructor. Creates a new package configuration.

  - ### Method Detail

    - #### insertConfiguration

          public void insertConfiguration(HierarchicalConfiguration config)

      The new configuartion will be inserted into the list of report configuration, so that this configuration has the given report configuration instance as parent.
      Overrides:
        `insertConfiguration` in class `HierarchicalConfiguration`
      Parameters:
        `config` - the new report configuration.